# Poco::MongoDB

# template < typename T >

# class ConcreteElement

Library: MongoDB
Package: MongoDB
Header: Poco/MongoDB/Element.h

## Inheritance

Direct Base Classes: Element

All Base Classes: Element

## Member Summary

Member Functions: read, toString, type, value, write

Inherited Functions: name, toString, type

## Constructors

### ConcreteElement

ConcreteElement(
const std::string & name,
const T & init
);

## Destructor

### ~ConcreteElement

virtual ~ConcreteElement();

## Member Functions

### read

void read(
BinaryReader & reader
);

See also: Poco::MongoDB::Element::read()

### toString

std::string toString(
int indent = 0
) const;

See also: Poco::MongoDB::Element::toString()

### type

int type() const;

See also: Poco::MongoDB::Element::type()

### value

T value() const;

### write

void write(
BinaryWriter & writer
);

See also: Poco::MongoDB::Element::write()